{% extends 'base.html.twig' %}

{% block title %}Myapp - Pagos{% endblock %}

{% block body %}
    {% include "components/_dataTitulos.html.twig" %}
    {% include "components/_navegacion.html.twig" %}
    <!-- Codigo offcanva -->
    {% include "components/_botonesAccion.html.twig" %}
    {% include "components/_offcanvas.html.twig" %}
    <!-- /Codigo offcanva -->

    {% for info in app.flashes('info') %}
        {% include "components/_flashMensaje.html.twig" %}
    {% endfor %}
    <div class="container_principal list-group">
        <div class="list-group-item d-flex justify-content-between align-items-center">
            <div>NumeroFactura</div>
            <div>TipoPago</div>
            <div>Valor</div>
            <div>Acción</div>
        </div>
        <div class="scrollable-div">
        {% for pago in lista_pagos %}
                <div class="list-group-item d-flex justify-content-between align-items-center detaille_pago">
                    <div>{{ pago.Idfactura.Secuencial }}</div>
                    <div>{{ pago.TipoPago|e }}</div>
                    <div>{{ pago.Valor|e }}</div>
                    <div><a class="btn btn-primary boton-lista" href="/pagos/edit/{{ pago.id|e }}">Modificar</a></div>
                </div>
        {% endfor %}
        </div>
    </div>
    {% include "components/_scriptModoEdit.html.twig" %}
{% endblock %}
